com.unitech.lib.types

## Enum BatteryStatusExtendedType

- java.lang.Object
- - java.lang.Enum<BatteryStatusExtendedType>
  - - com.unitech.lib.types.BatteryStatusExtendedType

- All Implemented Interfaces:
    Serializable, Comparable<BatteryStatusExtendedType>

      public enum BatteryStatusExtendedType
      extends Enum<BatteryStatusExtendedType>

  The BatteryStatusExtendedType enum represents the extended types of battery status. Each type has a unique integer value and a description.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `chargingStatus`
    `current`
    `cycleCount`
    `designCapacity`
    `fullChargeCapacity`
    `health`
    `manufactureDate`
    `modelNumber`
    `percentage`
    `remainingCapacity`
    `serialNumber`
    `temperature`
    `voltage`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BatteryStatusExtendedType` | `fromValue(int value)`
    `int` | `getCode()`
    `String` | `toString()`
    `static BatteryStatusExtendedType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static BatteryStatusExtendedType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### chargingStatus

          public static final BatteryStatusExtendedType chargingStatus

    - #### voltage

          public static final BatteryStatusExtendedType voltage

    - #### current

          public static final BatteryStatusExtendedType current

    - #### percentage

          public static final BatteryStatusExtendedType percentage

    - #### health

          public static final BatteryStatusExtendedType health

    - #### temperature

          public static final BatteryStatusExtendedType temperature

    - #### modelNumber

          public static final BatteryStatusExtendedType modelNumber

    - #### manufactureDate

          public static final BatteryStatusExtendedType manufactureDate

    - #### fullChargeCapacity

          public static final BatteryStatusExtendedType fullChargeCapacity

    - #### cycleCount

          public static final BatteryStatusExtendedType cycleCount

    - #### serialNumber

          public static final BatteryStatusExtendedType serialNumber

    - #### remainingCapacity

          public static final BatteryStatusExtendedType remainingCapacity

    - #### designCapacity

          public static final BatteryStatusExtendedType designCapacity

  - ### Method Detail

    - #### values

          public static BatteryStatusExtendedType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BatteryStatusExtendedType c : BatteryStatusExtendedType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BatteryStatusExtendedType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<BatteryStatusExtendedType>`

    - #### fromValue

          public static BatteryStatusExtendedType fromValue(int value)